Contents

· Contents

This help file for the 5110Comm program contains the following topics:

  • About
  • Installation
  • Introduction
  • License
  • Setup
  • TSC 5110A Data
  • Program Operation
  • Stable32 Data Entry
  • Application Notes
  • Configuration File
  • Programming Notes
  • Support
  • Acknowledgements
  • References


About

DMTDComm.CHM

Version 1.00 of 02/13/10

Microsoft Windows HTML Help File For

DMTDComm

Dual Mixer Time Difference Clock Measuring System Communications Program

Hamilton Technical Services

650 Distant Island Drive, Beaufort, SC 29907-1580 USA

Phone: 843-525-6495

Fax: 843-525-0251

E-Mail: 5110Comm@wriley.com

Web: http://www.wriley.com

Ó20010 Hamilton Technical Services


Installation

· Installation

Installation of the DMTDComm program is accomplished by simply copying the DMTDComm.exe and DMTDComm.hlp files to the same directory as the Stable32 program (typically c:\Program Files\Stable32). The first time the DMTDComm program is launched, it will open with the default settings. A DMTDComm.ini file will be created to save the current values of those setting when the DMTDComm program is closed.


Introduction

· Introduction

The DMTDComm program supports the operation of the Dual Mixer Time Difference clock measuring system. It can be used to capture phase data via a USB virtual COM port interface and store those data to a file, from where they can be read into the Stable32 program for further stability analysis.

· USB Interface

A USB interface virtual COM port connection must be established between the DMTD system and a PC before the DMTDComm program can be used. Please see the Setup help topic for more information.

· Launching

DMTDComm be launched by executing DMTDComm.exe directly from the Windows Run or Programs items with the Windows Start button, or by clicking on its program icon.


License

· License

A license is hereby granted for the use of this program. DMTDomm may be installed on any number of computers within the immediate user group that received it, and backup copies may be made, but additional copies may not be distributed to others.

This program has been extensively tested, but it is never possible to declare a program completely bug-free. No warranty is made, nor is any liability assumed, in connection with the use of the program.


Setup

· Hardware Setup

Before the 5110Comm program can be used, the TSC Model 5110A Time Interval Analyzer must be connected via a crosover (null modem) cable to the serial port of a PC operating under Microsoft Windows 95 or higher.

Three wires are required, as shown below:

Signal Name | Abbreviation | 5110 | PC Serial Port
 |  | 9- Pin | 9-Pin | 25-Pin
Transmit Data | TD | 2 | 3 | 2
Receive Data | RD | 3 | 2 | 3
Signal Ground | SG | 5 | 5 | 7

Note that the signal names are from the perspective of the PC. The 5110A interface uses the following communications port settings:

Baud Rate = 9600

# Data Bits = 8

# Stop Bits = 1

Parity = None

Flow Control=None

These parameters are set within the 5110 program and require no user action. It may be necessary, however, for the user to select the correct COM port after opening the 5110Comm program.

Attempting communications without a connection to an active 5110 unit will bring up an error message.

The COM port is automatically closed along with the 5110Comm program. It may also be closed by selecting a non-existent COM port.

· Software Setup

The general software/data flow setup for the 5110Comm program channels information from the TSC 5110A via its serial port to a PC running he 5110Comm program where it is captured, displayed and stored to a disk file for subsequent analysis by another program such as Stable32.

The 1-second time interval measurement data output from the TSC 5110A has units of cycles of the channel A frequency. These data are read into a named disk file by the 5110Comm program via a selected PC COM port after applying an optional scaling factor (e.g. the period of the A frequency). The disk file can then be read into the Stable32 program for frequency stability analysis to produce a printed output.

· Stable32 Setup

To use the Stable32 button to launch automatically launch Stable32, the Stable item in the [Preferences] section of the 5110Comm.ini initialization file must contain the full path and filename of the Stable32 program (typically C:\Program Files\Stable32\Stable32.exe). Use a text editor (such as Notepad) to manually enter the correct path and filename into 5110Comm.ini.


TSC 5110A Data

· TSC 5110A Data

The data output from the TSC 5110A Time Interval Analyzer consists of lines of ASCII numeric characters representing 1-second time difference measurements in units of cycles of the frequency of the A channel. Instantaneous phase measurements are output when the instrument is in the "instantaneous" mode, while 1-second averages are output in the "average" mode. An example of these data records is shown below:

-655.6782904

-655.6873601

-655.6919303

-655.7019053

-655.7137759

-655.7219452

-655.7364158

-655.7400850

-655.7537559

-655.7682254

The values are output at 1-second intervals, with one line per record. They may be preceeded by a minus sign, can have any number of leading digits, and have a precision of 7 decimal places. The data are not time-tagged.

Inspection of these data show an decrease of about .01 cycle per second. Assuming a 10 MHz frequency source, this corresponds to a frequency offset of about -1pp10^9. The p-p scatter in the data is about the same amount, which would correspond to a sigma of about 3x10^-10.

· Data Scaling

The TSC 5110A data may be scaled to units of seconds by multiplying by the period of the A channel frequency. For example, if the A channel frequency is 10 MHz, then the data should be multiplied by 100 nsec (1e-7) to obtain time difference values in seconds. The 5110Comm program includes provisions for performing this scaling operation.

· 5110Comm Data Files

The 5110Comm program writes data files having (possibly scaled) values corresponding to each record in 15-digit (double-precision) exponential format. This is the same format output by the Stable32 program. For the 1e-7 scaling factor assumed above, the corresponding data file values are as follows:

-6.556782904000000e-05

-6.556873601000000e-05

-6.556919302999999e-05

-6.557019053000001e-05

-6.557137759000000e-05

-6.557219452999999e-05

-6.557364158000000e-05

-6.557400850000000e-05

-6.557537559000000e-05

-6.557682254000000e-05

These data are phase deviations in seconds. The change between adjacent samples is about -1 nsec/sec, a frequency offset of -1x10^-9.


Stable32 Data Entry

· Stable32 Data Entry

Processed TSC 5110A data can be entered into the Stable32 program for frequency stability analysis like any other source of phase data by reading the resulting data file. The data file can be opened and read into Stable32 while it is being collected by the TSC 5110A Time Interval Analyzer and 5110Comm program. The 5110Comm program may be minimized, the status of the data collection observed, and the data file re-read into Stable32 for analysis as the measurement progresses. As a special convenience, the 5110Comm screen contains a button to launch Stable32, automatically opening the current phase data file with the correct tau, and executing the Auto1 automation script.

· Stable32 Stability Analysis

Stable32 offers more extensive analysis methods than the TSC 5110A instrument alone, including phase and frequency data plotting, drift modeling and removal, spectral analysis, histograms, and a number of specialized variances.


Program Operation

· Program Operation

Use the DMTDComm program to capture data from a Dual Mixer Time Difference clock measuring system via a USB virtual COM port interface.

· Controls

The DMTDComm main dialog box contains the following controls:

Dialog Box Control | ALT Key | Accel Key | Control Type | Control Description
COM# |  |  | List | Choose COM port
Open |  |  | Indicator | Shows if port is open
19200,8,1,N |  |  | Static Text | Comm port parameters
Filename | N |  | Edit | Name of data file
Scale Factor | A |  | Static Text | Data Multiplier
Description | A |  | Edit | Run description
Avg Factor | V |  | Edit | Averaging factor
Data Tau |  |  | Static Text | Data sampling interval
Dec | D |  | Radio Button | Decimate data by AF
Avg | G |  | Radio Button | Average data by AF
List | L |  | Radio Button | Show data listing
Plot Phase | P |  | Radio Button | Show phase plot
Plot Freq | F |  | Radio Button | Show frequency plot
Data |  |  | List Box | Message & data display
Plot |  |  | Text | Graphic plot
# |  |  | Text | # data points collected
Start/Stop | S |  | Pushbutton | Start or stop data collection
Close | C | Esc | Pushbutton | Close program
Help | H | F1 | Pushbutton | Invoke this help file
Configure |  |  | Pushbutton | Open configuration box
Saw |  |  | Indicator | Sawtooth correction flag
Stable32 | T |  | Pushbutton | Launch Stable32

In addition, the right & left arrow keys will move the focus up and down through the pushbuttons, and the spacebar can be used to press them.

· Basic Operations

Begin by opening the virtual COM port that the DMTD system is connected to, verifying that it is ready by the Open indicator. Enter the data Filename and run Description, verify the Scale Factor, and enter the desired Avg Factor and type (Dec or Avg). Then press the Start button to begin collecting data.

· File Operations

If a file with the selected filename already exists, the Start button opens another dialog box that allows the new data to either be appended to or to overwrite the existing data. If neither of these options is acceptable, the start operation can be cancelled, and a new filename may be entered.

· Scale Factor

The DMTD phase data is multiplied by a scale factor that is the product of the measurement heterodyne factor and the time interval counter resolution. The scale factor is determined by settings in the Configure dialog box.

· Data Collection and Transfer

Data reading via the virtual COM port, its screen display and writing to a file begins when the Start button is pressed. The Start button is re-labeled Stop, and all controls except the minimize, data display and Stop buttons are disabled. The current # of data points is displayed on the DMTDComm dialog box and on its minimized button on the system tray. Data may analyzed "on the fly" while it is being collected by launching an instance of Stable32, but the on-screen Stable32 button is not active during a run.

· Data Display

The incoming data can be displayed in three ways:

1. As a listing of data point # and raw and scaled phase data.

2. As a scrolling scaled phase plot.

3. As a scrolling scaled fractional frequency plot.

The phase and frequency plots are annotated with the x-axis time scale, their y-axis scales, and the average scaled fractional frequency value for the displayed data. The desired data display can be selected at any time during or after a run.

· Listing and Plot Labels

The data listing and plots are labeled as follows:

Display | 1st Line | 2nd Line
Data Listing | Label | None
Phase | Plot scale factor | Average frequency
Frequency | Plot scale factor | Average frequency

The X-axis scale factor depends on the # of plot points as set by the Size parameter in the Configure dialog box. The Y-axis scale factor is shown as the minimum and maximum data values and the scale factor per division. The average frequency is shown as its mean value and standard error (standard deviation divided by the # of points). The latter helps to show when the frequency value has stabilized after a change. The plots show scaled values (seconds for phase, and dimensionless fractional frequency for frequency).

· Data Review and Program Restart or Termination

When the desired number of points has been recorded, end the data collection process by pressing the Stop button. The raw data can be reviewed with the scrollbars. Another run (perhaps with another Filename) can be started with the Start button, or the DMTDComm program can be terminated with the Close button. The COM port, Filename and Scale Factor settings will be saved.

· Launching Stable32

Use the Stable32 button to launch Stable32, automatically opening the current phase data file with the correct tau, and optionally executing an automation script as set by the Cmd parameter in the Configure dialog box.


Application Notes

· Application Notes

Two common applications of the 5110Comm program with the TSC 5110A Time Interval Analyzer are (1) to capture the data associated with an on-screen stability run for additional off-line analysis (e.g. a Stable32 TOTDEV or drift removal calculation), and (2) to use the 5110A as a "front-end" to acquire data for another type of stability measurement (e.g. a voltage sensitivity test).

5110Comm is a separate executable program which may be launched from within Stable32 or on its own.

All of the 5110A data can be captured by starting the 5110Comm data collection before pressing the Start button on the 5110A, and stopping the program's data collection after that of the instrument. The "Timeout-No Data" messages before and after the measurements will not affect the contents of the data file.

It is possible to read the captured data "on-the-fly" into Stable32 during a measurement run without disturbing the data collection process.

An effective way to use the 5110Comm program is to minimize it to an icon in the system tray during a measurement run. This will provide a display of the number of data points as they are being collected, and, if some test condition (e.g. voltage) is changed, the corresponding data point # can be recorded. Stable32 can then be used to calculate the average frequency at each test condition.

An existing data file is appended to or overwritten each time the 5110Comm data capture is restarted, so a new filename should be entered to preserve the previous record.

To read the 5110Comm help file while collecting data, simply launch another instance of the program for that purpose.

While it is possible to use the Stable32 button to launch another program rather than Stable32 by editing the Stable item in the [Preferences] section of the 5110Comm.ini file, be aware that additional information (i.e. phase data data filename, measurement tau, and automation script) also appears on the command line.


Configuration File

· Configuration File

Configuration information for the 5110Comm program is stored in the 8130Comm.ini initialization file in standard Windows format comprising [Section] headings and Item= string values.

The [Preferences] section of the 5130Comm.ini file contains these parameters associated with the program's operation:

Name | Description | Default Value
Com | COM port # | 1
Plot | Plot flag | 0
Freq | Freq plot flag | 0
Size | Plot size | 240
Scale | Scale factor | 1.0
File | Data filename | 5110Comm.dat
Stable | Path to Stable32 | Stable32.exe


Programming Notes

· Programming Notes

5110Comm was written in C using the Microsoft Visual C++ 5.0 compiler. The help file was prepared with HyperText Studio from Olson Software Limited. These products, as well as Microsoft Windows, are covered by copyrights and trademarks. The 5110Comm program uses a dialog box as its main window. It employs the Win32 communications functions for the serial port interface, whose settings are hard-coded for the TSC 5110A Time Interval Analyzer. Data records are delimited by means of a 50 msec interval timeout, while the absence of valid data is detected by a 2-second constant timeout. During data capture, all controls are disabled except for the Stop and Minimize buttons to avoid disrupting the data flow.


Support

· Support

Support for the 5110Comm program is available from:

W.J. Riley

Hamilton Technical Services

650 Distant Island Drive

Beaufort, SC 29907-1580 USA

Phone: 843-525-6495

Fax: 843-525-0251

E-Mail: 5110Comm@wriley.com

Web: http://www.wriley.com


Acknowledgements

· Acknowledgements

The program author wishes to acknowledge the significant contributions that have been made by Dr. Samuel R. Stein of Timing Solutions Corporation (now Symmetricom, Inc.) to the field of precise time and frequency measurements. The TSC Model 5110A is another example of this valuable work. Alone, it is an innovative "personal" stability analysis tool. Combined with a terminal program (like 5110Comm) for data capture and a complete stability analysis software package (like Stable32), it serves as the "front end" of a state-of-the-art measurement system. The author also wishes to thank Symmetricom, Inc. for supporting the testing of this program at its Beverly Massachusetts laboratory.


References

· References

The following references apply to the 5110Comm program:

1. User Manual, TSC Model 5110Comm Time Interval Analyzer, Timing Solutions Corporation, 4775 Walnut Street, Suite 1B, Boulder, CO 80301-2579. Note: Timing Solutions is now part of Symmetricom. Inc.

2. User Manual, Stable32, Hamilton Technical Services, 650 Distant Island Drive, Beaufort, SC 29907-1580. Electronic copies of this manual are available on the Hamilton Technical Services web site: http://www.wriley.com. Printed copies can be purchased at: http://www.lulu.com/content/508588.

An extensive on-line collection of references for frequency stability analysis can be found at http://www.wriley.com/Refs.htm.